Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xml
Class Xml

    java.lang.Object
      |
      +--com.caucho.xml.AbstractParser
            |
            +--com.caucho.xml.XmlParser
                  |
                  +--com.caucho.xml.Xml

All Implemented Interfaces:
  org.xml.sax.Locator, org.xml.sax.Parser, org.xml.sax.XMLReader

public class Xml
extends XmlParser

XML parser interface. The parser can parse directly into the DOM or it can be used as a SAX parser.

To parse a file into a DOM Document use

     Document doc = new Xml().parseDocument("foo.xml");

To parse a string into a DOM Document use

     String xml = "<top>small test</top>";
     Document doc = new Xml().parseDocumentString(xml);

To parse a file using the SAX API use

     Xml xml = new Xml();
     xml.setContentHandler(myContentHandler);
     xml.parse("foo.xml");

Constructor Summary
`Xml()` Create a new strict XML parser

Method Summary
`static Xml` | `create()` Creates an Xml parser.
`static CauchoDocument` | `createDocument()` Create a new DOM document
`static DOMImplementation` | `createDOMImplementation()` Create a new DOM implementation
`void` | `free()` Frees an Xml parser.
`void` | `init()` Initialize the parser.

Methods inherited from class com.caucho.xml.XmlParser
`getColumnNumber, getFilename, getLine, getLineNumber, getPublicId, getSystemId, setLine, setReader, unread`

Methods inherited from class com.caucho.xml.AbstractParser
`getContentHandler, getDefaultEncoding, getDTDHandler, getEntitiesAsText, getEntityResolver, getErrorHandler, getFeature, getForgiving, getJsp, getProperty, getResinInclude, getSearchPath, getSkipComments, isCoalescing, openStream, parse, parse, parse, parse, parse, parseDocument, parseDocument, parseDocument, parseDocument, parseDocument, parseDocumentString, parseString, setAutodetectXml, setCoalescing, setConfig, setContentHandler, setDefaultEncoding, setDocumentHandler, setDTDHandler, setEntitiesAsText, setEntityResolver, setErrorHandler, setExpandEntities, setFeature, setForgiving, setJsp, setLocale, setProperty, setResinInclude, setSearchPath, setSkipComments, setSkipWhitespace, setToLower`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Xml

    public Xml()

  Create a new strict XML parser

Method Detail

### init

    public void init()

  Initialize the parser.

### create

    public static Xml create()

  Creates an Xml parser.

### free

    public void free()

  Frees an Xml parser.
  Overrides:
    `free` in class `XmlParser`

### createDocument

    public static CauchoDocument createDocument()

  Create a new DOM document

### createDOMImplementation

    public static DOMImplementation createDOMImplementation()

  Create a new DOM implementation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD